<?php
/*************************************************************************
* apl - abstract presentation layer                                      *
* ---------------------------------------------------------------------- *
* Copyright (C) 2000 - 2001 twisd AG, <http://www.twisd.de>              *
* See AUTHORS file for a list of contributing developers                 *
*                                                                        *
* This library is free software; you can redistribute it and/or          *
* modify it under the terms of the GNU Lesser General Public             *
* License as published by the Free Software Foundation; either           *
* version 2 of the License, or (at your option) any later version.       *
*                                                                        *
* This library is distributed in the hope that it will be useful,        *
* but WITHOUT ANY WARRANTY; without even the implied warranty of         *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU      *
* Library General Public License for more details.                       *
*                                                                        *
* You should have received a copy of the GNU Lesser General Public       *
* License along with this progam; if not, write to the                   *
* Free Software Foundation, Inc., 59 Temple Place - Suite 330,           *
* Boston, MA 02111-1307, USA.                                            *
*************************************************************************/

/* $Id: datagrid_password.php,v 1.1 2001/12/05 13:44:48 ach Exp $ */

include("apl_config.php");

class CDatabase extends CAPLDatabase
{
  function CDatabase()
  {
    CAPLDatabase::CAPLDatabase();
    $this->setHostname(DB_HOSTNAME);
    $this->setUsername(DB_USERNAME);
    $this->setPassword(DB_PASSWORD);
    $this->setDriver(DB_DRIVER);
    $this->setDatabase(DB_DATABASE); 
    $this->setType(DB_TYPE);
  }
}

class CUserSource extends CAPLDBControl
{  
  function CUserSource($Database)
  {
    CAPLDBControl::CAPLDBControl($Database);
    $this->setTable("tblaplpassword1users");
    $this->setPrimaryKey("userid");
  }
}

$Database = new CDatabase();
$Action = new CAPLActionHandler;
$Page = new CAPLPage;
$UserSource = new CUserSource($Database);
$UserSource->setName("users");

$GridUsers = new CAPLDataGrid($Page);
$GridUsers->setDataControl($UserSource);
$GridUsers->createFields(array("Name","Password"));

$GridUsers->setActionHandler($Action);
$GridUsers->setActionState(APL_ACTION_STANDARD, APL_STATE_VISIBLE);
$GridUsers->setActionState(APL_ACTION_MISC, APL_STATE_HIDDEN);

$PWField = new CAPLEditBox();
$PWField->setType(APL_EDITBOX_PASSWORD);
$GridUsers->Field["Password"]->setActionObject($PWField);

// Converting the PW to stars

function convOutput($key, $field, $val) {
  if ($val!="") return "********";
}

$GridUsers->Field["Password"]->setConvertor(APL_CONVERTOR_OUTPUT, "convOutput");
$GridUsers->Field["Password"]->setConvertor(APL_CONVERTOR_ACTION, "convOutput");

// Encrypting Password before passing it to the datasource

function convStorage($key, $field, $val) {
  if ($val!="********")
    return $val;
  else
    return NULL;
}

$GridUsers->Field["Password"]->setConvertor(APL_CONVERTOR_STORAGE, "convStorage");

$Action->execute();
$Page->draw();

?>
