<?php
/*************************************************************************
* apl - abstract presentation layer                                      *
* ---------------------------------------------------------------------- *
* Copyright (C) 2000 - 2001 twisd AG, <http://www.twisd.de>              *
* See AUTHORS file for a list of contributing developers                 *
*                                                                        *
* This library is free software; you can redistribute it and/or          *
* modify it under the terms of the GNU Lesser General Public             *
* License as published by the Free Software Foundation; either           *
* version 2 of the License, or (at your option) any later version.       *
*                                                                        *
* This library is distributed in the hope that it will be useful,        *
* but WITHOUT ANY WARRANTY; without even the implied warranty of         *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU      *
* Library General Public License for more details.                       *
*                                                                        *
* You should have received a copy of the GNU Lesser General Public       *
* License along with this progam; if not, write to the                   *
* Free Software Foundation, Inc., 59 Temple Place - Suite 330,           *
* Boston, MA 02111-1307, USA.                                            *
*************************************************************************/

/* $Id: dataset_auto.php,v 1.1 2001/12/05 13:44:48 ach Exp $ */

include("apl_config.php");

class CDatabase extends CAPLDatabase
{
  function CDatabase()
  {
    CAPLDatabase::CAPLDatabase();
    $this->setHostname(DB_HOSTNAME);
    $this->setUsername(DB_USERNAME);
    $this->setPassword(DB_PASSWORD);
    $this->setDriver(DB_DRIVER);
    $this->setDatabase(DB_DATABASE); 
    $this->setType(DB_TYPE);
  }
}

class CUserSource extends CAPLDBControl
{  
  function CUserSource($Database)
  {
    CAPLDBControl::CAPLDBControl($Database);
    $this->setTable("tblapldataset1user");
    $this->setPrimaryKey("userid");
    $this->setName("users");
  }
}

$DB = new CDatabase();
$User = new CUserSource($DB);

echo "<pre>\n";

$Users = new CAPLDataSet();
$Users->setDataControl($User);
$Users->createFields(array("name", "password"));

echo "<b>Adding Data</b>\n";
$Users->add("1", array("name"=>"Foo", "password"=>"Bar"));
$Users->fetch();
var_dump($Users->getData(1));

echo "<b>Modifiing Data</b>\n";
$Users->modify("1", array("name"=>"Bar", "password"=>"Foo"));
$Users->fetch();
var_dump($Users->getData(1));

echo "<b>Removing Data</b>\n";
$Users->remove("1");

echo "<b>Check</b>\n";
$Users->fetch();
$List = $Users->getList();
$ListSize = $Users->getListSize();
for ($i=0; $i<$ListSize; $i++) {
  var_dump($Users->getData($List[$i])); 
}

echo "<pre>\n";

?>
