<?php
/*************************************************************************
* apl - abstract presentation layer                                      *
* ---------------------------------------------------------------------- *
* Copyright (C) 2000 - 2001 twisd AG, <http://www.twisd.de>              *
* See AUTHORS file for a list of contributing developers                 *
*                                                                        *
* This library is free software; you can redistribute it and/or          *
* modify it under the terms of the GNU Lesser General Public             *
* License as published by the Free Software Foundation; either           *
* version 2 of the License, or (at your option) any later version.       *
*                                                                        *
* This library is distributed in the hope that it will be useful,        *
* but WITHOUT ANY WARRANTY; without even the implied warranty of         *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU      *
* Library General Public License for more details.                       *
*                                                                        *
* You should have received a copy of the GNU Lesser General Public       *
* License along with this progam; if not, write to the                   *
* Free Software Foundation, Inc., 59 Temple Place - Suite 330,           *
* Boston, MA 02111-1307, USA.                                            *
*************************************************************************/

/* $Id: form_simple.php,v 1.3 2002/01/21 01:42:42 ach Exp $ */

$APL = new CAPL;
$APL->setTrimLines(1);
$APL->setSuppressNewlines(1);

$Page = new CAPLPage();

$Action = new CAPLActionhandler();
$Action->setVar("Foo", "Bar");
$Action->setVar("Bar", "Foo");

$Form = new CAPLForm($Page);
$Form->setMethod("post");
$Form->setActionHandler($Action);

$Group1 = new CAPLGroupBox($Form);
$Group1->setWidth("400");
$Group1->setCaption("Userdata");

$Editbox = new CAPLEditBox($Group1);
$Editbox->setName("Data[Editbox]");
$Editbox->setValue("Editbox");
$Editbox->setCaption("Editbox");
$Editbox->setState(APL_STATE_READONLY);
$Editbox->setState(APL_STATE_DISABLED);

$Textbox = new CAPLTextBox($Group1);
$Textbox->setName("Data[Textbox]");
$Textbox->setValue("Textbox");
$Textbox->setCaption("Textbox");

$Upload = new CAPLUpload($Group1);
$Upload->setName("Data[Upload]");
$Upload->setCaption("Upload");
$Upload->setAccept("text/*");

$Group2 = new CAPLGroupBox($Form);
$Group2->setWidth("400");
$Group2->setCaption("Userdata");

$Radiobtn = new CAPLRadioButton($Group2);
$Radiobtn->setName("Data[RadioButton]");
$Radiobtn->setCaption("RadioButton");

$Checkbox = new CAPLCheckBox($Group2);
$Checkbox->setName("Data[CheckBox]");
$Checkbox->setCaption("CheckBox");

$Combo = new CAPLComboBox($Group1);
$Combo->setName("Data[Combo]");
$Combo->setCaption("ComboBox");
$Combo->addItem("Admin");
$Combo->addItem("User");

$Group3 = new CAPLGroupBox($Form);
$Group3->setWidth("400");
$Group3->setCaption("Submit the Form");

$Button1 = new CAPLButton($Group3);
$Button1->setCaption("Submit");

$Button2 = new CAPLButton($Group3);
$Button2->setCaption("Reset");
$Button2->setType(APL_BUTTON_RESET);
$Button2->setWidth("10");
$Button2->setHeight("10");

$Group4 = new CAPLGroupBox($Page);
$Group4->setCaption("Misc");

$HyperLink = new CAPLHyperLink($Group4);
$HyperLink->setText("Test");
$HyperLink->setActionHandler($Action);

$Page->draw();

?>
