<?php
/*************************************************************************
* apl - abstract presentation layer                                      *
* ---------------------------------------------------------------------- *
* Copyright (C) 2000 - 2001 twisd AG, <http://www.twisd.de>              *
* See AUTHORS file for a list of contributing developers                 *
*                                                                        *
* This library is free software; you can redistribute it and/or          *
* modify it under the terms of the GNU Lesser General Public             *
* License as published by the Free Software Foundation; either           *
* version 2 of the License, or (at your option) any later version.       *
*                                                                        *
* This library is distributed in the hope that it will be useful,        *
* but WITHOUT ANY WARRANTY; without even the implied warranty of         *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU      *
* Library General Public License for more details.                       *
*                                                                        *
* You should have received a copy of the GNU Lesser General Public       *
* License along with this progam; if not, write to the                   *
* Free Software Foundation, Inc., 59 Temple Place - Suite 330,           *
* Boston, MA 02111-1307, USA.                                            *
*************************************************************************/

/* $Id: tabfolder_multiple.php,v 1.1 2001/12/05 13:44:48 ach Exp $ */

$Page = new CAPLPage();
$ActionHandler = new CAPLActionHandler();

// Callback Functions

function setActiveTab($key) {
  global $ActionHandler;

  $ActionHandler->setVar("ActiveTab", $key);    
}

// First TabFolderPanel

$TabFolderPanel[0] = new CAPLTabFolderPanel($Page);
$TabFolderPanel[0]->setName("FIRST");
$TabFolderPanel[0]->setCallback(APL_ACTION_ACTIVATE, "setActiveTab");
$TabFolderPanel[0]->setActionHandler($ActionHandler);

$Tab["AA"] = new CAPLTabFolder($TabFolderPanel[0]);
$Tab["AA"]->setName("AA");
$Tab["AA"]->setCaption("AA");
$Tab["AB"] = new CAPLTabFolder($TabFolderPanel[0]);
$Tab["AB"]->setName("AB");
$Tab["AB"]->setCaption("AB");

// Second TabFolderPanel 1

$TabFolderPanel[1] = new CAPLTabFolderPanel($Tab["AA"]);
$TabFolderPanel[1]->setName("SECOND1");
$TabFolderPanel[1]->setActionHandler($ActionHandler);

$Tab["BA"] = new CAPLTabFolder($TabFolderPanel[1]);
$Tab["BA"]->setName("AA");
$Tab["BA"]->setCaption("AA");
$Tab["BB"] = new CAPLTabFolder($TabFolderPanel[1]);
$Tab["BB"]->setName("AB");
$Tab["BB"]->setCaption("AB");

// Second TabFolderPanel 2

$TabFolderPanel[2] = new CAPLTabFolderPanel($Tab["AB"]);
$TabFolderPanel[2]->setName("SECOND2");
$TabFolderPanel[2]->setActionHandler($ActionHandler);

$Tab["CA"] = new CAPLTabFolder($TabFolderPanel[2]);
$Tab["CA"]->setName("CA");
$Tab["CA"]->setCaption("CA");
$Tab["CB"] = new CAPLTabFolder($TabFolderPanel[2]);
$Tab["CB"]->setName("CB");
$Tab["CB"]->setCaption("CB");

// Action Handling

$active = $ActionHandler->getVar("ActiveTab");
if ($active) {
  $Tab[$active]->setActive();
  $ActionHandler->setVar("ActiveTab", $active);
}

// Page draw

$ActionHandler->execute();
$Page->draw();

?>