<?php
/*************************************************************************
* apl - abstract presentation layer                                      *
* ---------------------------------------------------------------------- *
* Copyright (C) 2000 - 2001 twisd AG, <http://www.twisd.de>              *
* See AUTHORS file for a list of contributing developers                 *
*                                                                        *
* This library is free software; you can redistribute it and/or          *
* modify it under the terms of the GNU Lesser General Public             *
* License as published by the Free Software Foundation; either           *
* version 2 of the License, or (at your option) any later version.       *
*                                                                        *
* This library is distributed in the hope that it will be useful,        *
* but WITHOUT ANY WARRANTY; without even the implied warranty of         *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU      *
* Library General Public License for more details.                       *
*                                                                        *
* You should have received a copy of the GNU Lesser General Public       *
* License along with this progam; if not, write to the                   *
* Free Software Foundation, Inc., 59 Temple Place - Suite 330,           *
* Boston, MA 02111-1307, USA.                                            *
*************************************************************************/

/* $Id: tabfolder_simple.php,v 1.1 2001/12/19 23:28:58 ach Exp $ */

$Page = new CAPLPage();
$ActionHandler = new CAPLActionHandler();

// Callback Functions

function callback($sName, $sKey) {
  printf("Callback <b>$sName</b> with key $sKey<br>");
}

function callActivate($sKey) {
  callback("APL_ACTION_ACTIVATE", $sKey);
}

function callActive($sKey) {
  callback("APL_ACTION_ACTIVE", $sKey);
}

function callChange($sKey) {
  callback("APL_ACTION_CHANGE", $sKey);
}

// First TabFolderPanel

$TabFolderPanel[0] = new CAPLTabFolderPanel($Page);
$TabFolderPanel[0]->setName("a");
$TabFolderPanel[0]->setCallback(APL_ACTION_ACTIVATE, "callActivate");
$TabFolderPanel[0]->setCallback(APL_ACTION_ACTIVE, "callActive");
$TabFolderPanel[0]->setCallback(APL_ACTION_CHANGE, "callChange");
$TabFolderPanel[0]->setActionHandler($ActionHandler);

$Tab["1"] = new CAPLTabFolder($TabFolderPanel[0]);
$Tab["1"]->setCaption("1");
$Tab["1"]->setActive(0);

$Tab["2"] = new CAPLTabFolder($TabFolderPanel[0]);
$Tab["2"]->setCaption("2");
$Tab["2"]->setActive();

// Page draw

$ActionHandler->execute();
$Page->draw();

?>