<?php
/*************************************************************************
* apl - abstract presentation layer                                      *
* ---------------------------------------------------------------------- *
* Copyright (C) 2000 - 2001 twisd AG, <http://www.twisd.de>              *
* See AUTHORS file for a list of contributing developers                 *
*                                                                        *
* This library is free software; you can redistribute it and/or          *
* modify it under the terms of the GNU Lesser General Public             *
* License as published by the Free Software Foundation; either           *
* version 2 of the License, or (at your option) any later version.       *
*                                                                        *
* This library is distributed in the hope that it will be useful,        *
* but WITHOUT ANY WARRANTY; without even the implied warranty of         *
* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU      *
* Library General Public License for more details.                       *
*                                                                        *
* You should have received a copy of the GNU Lesser General Public       *
* License along with this progam; if not, write to the                   *
* Free Software Foundation, Inc., 59 Temple Place - Suite 330,           *
* Boston, MA 02111-1307, USA.                                            *
*************************************************************************/

/* $Id: treemenu_db.php,v 1.3 2001/12/21 10:41:13 ach Exp $ */

include("apl_config.php");

class CDatabase extends CAPLDatabase
{
  function CDatabase()
  {
    CAPLDatabase::CAPLDatabase();
    $this->setHostname(DB_HOSTNAME);
    $this->setUsername(DB_USERNAME);
    $this->setPassword(DB_PASSWORD);
    $this->setDriver(DB_DRIVER);
    $this->setDatabase(DB_DATABASE); 
    $this->setType(DB_TYPE);
  }
}

$DB = new CDatabase();
$Action = new CAPLActionHandler;

$Page = new CAPLPage;
$Page->setTitle("Treemenu - Test");

// TreeMenu Admin

class CTreeSource extends CAPLDBControl
{
  function CTreeSource($DB)
  {
    CAPLDBControl::CAPLDBControl($DB);
    $this->setTable("tblapltreemenu1entries");
    $this->setPrimaryKey("entryid");
    $this->setName("Source");
  }
}

$DBControl["Tree"] = new CTreeSource($DB);
$DBControl["Tree"]->setName("abc");

$Grid = new CAPLDataGrid($Page);
$Grid->setActionHandler($Action);
$Grid->setDataControl($DBControl["Tree"]);
$Grid->createFields(array("Name", "parentid"));
$Grid->setActionState(APL_ACTION_STANDARD, APL_STATE_VISIBLE);

$Combo = new CAPLComboBox();
$Combo->addItem(0, "Root");
$Grid->Field["parentid"]->setLookupObject($Combo);

$DBControl["Lookup"] = new CTreeSource($DB);
$Grid->Field["parentid"]->createLookup($DBControl["Lookup"], "Name");

function callbackActivate($key) {
  printf("Callback <b>APL_ACTION_ACTIVATE</b> was called with key: $key<br>");
}

function callbackChange($key) {
  printf("Callback <b>APL_ACTION_CHANGE</b> was called with key: $key<br>");
}

function callbackActive($key) {
  printf("Callback <b>APL_ACTION_ACTIVE</b> was called with key: $key<br>");
}

// Treemenu

$Menu = new CAPLTreeMenu($Page);
$Menu->setActionHandler($Action);
$Menu->setCallback(APL_ACTION_ACTIVE, "callbackActive");
$Menu->setCallback(APL_ACTION_ACTIVATE, "callbackActivate");
$Menu->setCallback(APL_ACTION_CHANGE, "callbackChange");

$Menu->setVar("test", "test");

$DB->connect();

function buildTree($hMenu, $DB, $iParentID=0) {
  $sSQL = sprintf("SELECT EntryID, Name, ParentID FROM tblapltreemenu1entries WHERE parentID = '%s'", $iParentID);
  $Result = $DB->openQuery($sSQL);
  while ($Result->fetch()) {
    $ID = $Result->get(0);
    $Name = $Result->get(1);
    $Parent = $Result->get(2);

    $hMenu->addItem($ID, $Name);
    if ($ID != 0) buildTree($hMenu->Item[$ID], $DB, $ID);
  }
}

buildTree($Menu, $DB);

$DB->disconnect();

$Action->execute();
$Page->draw();

?>
